--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Initialize this instance as a general request.
full_name: HTTP::Message::Headers#init_request
is_singleton: false
name: init_request
params: (method, uri, query = nil)
visibility: public
